<?php
/*************************************************************************************
 * Pawn For Geshi 1.0
 * -----
 * Author: Jan Schütze (JanS@DracoBlue.de)
 * Copyright: (c) 2004 Nigel McNie (http://qbnz.com/highlighter/)
 * Release Version: 1.0
 * Date Started: 2007/07/01
 * Last Modified: $Date: 2006/07/01 22:19:00 $
 *
 * Pawn language file for GeSHi with additions for sa-mp
 *
 * CHANGES
 * -------
 * 2007/07/01 (1.0.0)
 *   -  First Release
 *
 *************************************************************************************
 *
 *   Pawn for Geshi is released under the terms of MIT License.
 *   Copyright 2007 by DracoBlue (http://dracoblue.net)
 *
 ************************************************************************************/

$language_data = array (
    'LANG_NAME' => 'pawn',
    'COMMENT_SINGLE' => array(1 => '//', 2 => '#'),
    'COMMENT_MULTI' => array('/*' => '*/'),
    'CASE_KEYWORDS' => GESHI_CAPS_NO_CHANGE,
    'QUOTEMARKS' => array("'", '"'),
    'ESCAPE_CHAR' => '\\',
    'KEYWORDS' => array(
        1 => array(
            'if', 'return', 'while', 'case', 'continue', 'default',
            'do', 'else', 'for', 'switch', 'goto'
            ),
        2 => array(
            'null', 'false', 'break', 'true', 'function', 'enum', 'extern', 'inline'
            ),
        3 => array(
            'AddPlayerClass',
            'AddStaticPickup',
            'AddStaticVehicle',
            'AddVehicleComponent',
            'Ban',
            'ChangeVehicleColor',
            'ChangeVehiclePaintjob',
            'CreateVehicle',
            'DisablePlayerCheckpoint',
            'GameModeExit',
            'GameTextForAll',
            'GameTextForPlayer',
            'GetPlayerColor',
            'GetPlayerHealth',
            'GetPlayerMoney',
            'GetPlayerName',
            'GetPlayerPos',
            'GetPlayerScore',
            'GetPlayerState',
            'GetPlayerTeam',
            'GetPlayerVehicleID',
            'GetTickCount',
            'GetVehiclePos',
            'GetWeaponName',
            'GivePlayerMoney',
            'GivePlayerWeapon',
            'IsPlayerAdmin',
            'IsPlayerConnected',
            'IsPlayerInAnyVehicle',
            'IsPlayerInCheckpoint',
            'IsPlayerInVehicle',
            'Kick',
            'KillTimer',
            'PlayerPlaySound',
            'PutPlayerInVehicle',
            'RemovePlayerFromVehicle',
            'ResetPlayerMoney',
            'ResetPlayerWeapons',
            'SendClientMessage',
            'SendClientMessageToAll',
            'SetCameraBehindPlayer',
            'SetGameModeText',
            'SetPlayerCameraLookAt',
            'SetPlayerCameraPos',
            'SetPlayerCheckpoint',
            'SetPlayerColor',
            'SetPlayerFacingAngle',
            'SetPlayerHealth',
            'SetPlayerInterior',
            'SetPlayerPos',
            'SetPlayerScore',
            'SetPlayerSkin',
            'SetPlayerTeam',
            'SetPlayerWorldBounds',
            'SetSpawnInfo',
            'SetTeamCount',
            'SetTimer',
            'SetVehicleParamsForPlayer',
            'SetVehiclePos',
            'SetVehicleToRespawn',
            'SetVehicleZAngle',
            'SetWorldTime',
            'ShowNameTags',
            'ShowPlayerMarkers',
            'SpawnPlayer',
            'TogglePlayerControllable',
            'SendDeathMessage',
            'format',
            'valstr',
            'strval',
            'getdate',
            'random',
            'tickcount',
            'strcat',
            'strcmp',
            'strdel',
            'strfind',
            'strlen',
            'strmid',
            'strpack',
            'strunpack',
            'uudecode',
            'sizeof',
            'uuencode'
            ),
        4 => array(
            'auto', 'char', 'const', 'double',  'float', 'int', 'long',
            'register', 'short', 'signed', 'static', 'string', 'struct',
            'typedef', 'union', 'unsigned', 'void', 'volatile', 'wchar_t'
            ),
            
        5 => array(
            'OnFilterScriptExit',
            'OnFilterScriptInit',
            'OnGameModeExit',
            'OnGameModeInit',
            'OnPlayerCommandText',
            'OnPlayerConnect',
            'OnPlayerDeath',
            'OnPlayerDisconnect',
            'OnPlayerEnterCheckpoint',
            'OnPlayerEnterVehicle',
            'OnPlayerExitVehicle',
            'OnPlayerInfoChange',
            'OnPlayerLeaveCheckpoint',
            'OnPlayerRequestClass',
            'OnPlayerSpawn',
            'OnPlayerStateChange',
            'OnPlayerText' /*,
            'OnVehicleDeath',
            'OnVehicleSpawn'*/
            )
            
        ),
    'SYMBOLS' => array(
        '(', ')', '{', '}', '[', ']', '=', '+', '-', '*', '/', '!', '%', '^', '&', ':'
        ),
    'CASE_SENSITIVE' => array(
        GESHI_COMMENTS => true,
        1 => false,
        2 => false,
        3 => false,
        4 => false,
        5 => false,
        ),
    'STYLES' => array(
        'KEYWORDS' => array(
            1 => 'color: #b1b100;',
            2 => 'color: #000000; font-weight: bold;',
            3 => 'color: #000066;',
            4 => 'color: #993333;',
            5 => 'color: #63648C;'
            ),
        'COMMENTS' => array(
            1 => 'color: #808080; font-style: italic;',
            2 => 'color: #339933;',
            'MULTI' => 'color: #808080; font-style: italic;'
            ),
        'ESCAPE_CHAR' => array(
            0 => 'color: #000099; font-weight: bold;'
            ),
        'BRACKETS' => array(
            0 => 'color: #66cc66;'
            ),
        'STRINGS' => array(
            0 => 'color: #ff0000;'
            ),
        'NUMBERS' => array(
            0 => 'color: #cc66cc;'
            ),
        'METHODS' => array(
            1 => 'color: #202020;',
            2 => 'color: #202020;'
            ),
        'SYMBOLS' => array(
            0 => 'color: #66cc66;'
            ),
        'REGEXPS' => array(
            ),
        'SCRIPT' => array(
            )
        ),
    'URLS' => array(
        1 => '',
        2 => '',
        3 => 'http://wiki.sa-mp.com/wiki/Function:{FNAME}',
        5 => 'http://wiki.sa-mp.com/wiki/Callback:{FNAME}',
        ),
    'OOLANG' => false,
    'OBJECT_SPLITTERS' => array(
        ),
    'REGEXPS' => array(
        ),
    'STRICT_MODE_APPLIES' => GESHI_NEVER,
    'SCRIPT_DELIMITERS' => array(
        ),
    'HIGHLIGHT_STRICT_BLOCK' => array(
        )
);


